<?php

namespace EventPortal\Domain\Team\Handlers;

use Closure;
use EventPortal\Domain\Form\Payload;
use EventPortal\Domain\Team\Models\Team;

class AssignTeam
{
    /**
     * @return mixed
     */
    public function __invoke(Payload $payload, Closure $next)
    {
        $team = Team::find($payload->getArrayValue('team_id'));

        $payload->getModel()->teams()->sync($team);

        return $next($payload);
    }
}
