<?php

namespace EventPortal\Domain\Agenda\Handlers;

use Closure;
use EventPortal\Domain\Form\Payload;

class AssociateToPathway
{
    /**
     * @return mixed
     */
    public function __invoke(Payload $payload, Closure $next)
    {
        $session = $payload->getModel();

        $session->pathway()->associate($payload->getContext('pathway'));
        $session->save();

        return $next($payload);
    }
}
